GCLOUD_APP_LOGS_READ(1)

NAME

gcloud app logs read - reads log entries for the current App Engine app

SYNOPSIS

gcloud app logs read [--level=LEVEL; default="any"] [--limit=LIMIT; default="200"] [--logs=APP_LOG,[APP_LOG,...]; default="stderr,stdout,crash.log,nginx.request,request_log"] [--service=SERVICE, -s SERVICE] [--version=VERSION, -v VERSION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Display the latest log entries from stdout, stderr and crash log for the current Google App Engine app in a human readable format.

FLAGS

    --level=LEVEL; default="any"
        Filter entries with severity equal to or higher than a given level. LEVEL must be one of: critical, error, warning, info, debug, any.

    --limit=LIMIT; default="200"
        Number of log entries to show.

    --logs=APP_LOG,[APP_LOG,...]; default="stderr,stdout,crash.log,nginx.request,request_log"
        Filter entries from a particular set of logs. Must be a comma-separated list of log names (request_log, stdout, stderr, etc).

    --service=SERVICE, -s SERVICE
        Limit to specific service.

    --version=VERSION, -v VERSION
        Limit to specific version.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To display the latest entries for the current app, run:
    $ gcloud app logs read
To show only the entries with severity at warning or higher, run:
    $ gcloud app logs read --level=warning
To show only the entries with a specific version, run:
    $ gcloud app logs read --version=v1
To show only the 10 latest log entries for the default service, run:
    $ gcloud app logs read --limit 10 --service=default
To show only the logs from the request log for standard apps, run:
    $ gcloud app logs read --logs=request_log
To show only the logs from the request log for Flex apps, run:
    $ gcloud app logs read --logs=nginx.requests